あなたは現在ゲストアクセスを利用しています (ログイン)

LAMP環境のインストール
  1. L --- Linux
  2. A --- Apache
  3. M --- MySQL
  4. P --- PHP


openssl
  • Webで https 通信を行う際に必要.
  • Vineにインストールされているものは使用せず,最新バージョンを使用する.(セキュリティ&演習のため)
  • 現在の最新バージョンは1.0.0 であるが,0.9からAPIが大きく変化して,従来のアプリケーションから利用できない場合が多い.そこで,授業では 0.9の最新版である 0.98r を使用する.
  • 学内ダウンロードは ここ から
  • インストール方法は ここ



Apache 2.2
  • 2.2系をインストールする.(Vineにインストールされているものは使用しない)
  • '11 5/14 時点での 2.2系の最新バージョンは 2.2.18
  • 学内ダウンロードは ここ から
  • インストール・設定方法は ここ
  • Apache の起動 ---- # /etc/init.d/apache start
  • Apache の停止 ---- # /etc/init.d/apache stop
  • Apacce の再起動 -- # /etc/init.d/apache restart
  • ホームページの作成
    • /home/apache/htdocs にテスト用の簡単なホームページを作成しておく.
      • /home/apache/htdocs/index.html な ど



MySQL5.1
  • 5.1系をインストールする.(最新版は5.5であるが,互換性の関係で5.1系を使用する)
  • '11 5/14 時点での最新バージョンは 5.1.57
  • 学内ダウンロードは ここ から
  • インストール・設定方法は ここ
  • データベースは初期設定のみ 行う(他の設定は行わなくて良い)



PHP5.2
  • 5.2系をインストールする.
  • 最新版は 5.3.x がリリースされているが,5.3系では動かないアプリが存在するので,授業では 5.2系の最新バージョン 5.2.17 を使用する.
  • 学内ダウンロードは ここ から
  • インストール・設定方法は ここ



全部インストールしたら,Apache を再起動して,作成したトップページが見えるか確認する.
最終更新日時: 2012年 03月 28日(水曜日) 16:05
ナビゲーション をスキップする

ナビゲーション


あなたは現在ゲストアクセスを利用しています (ログイン)